BANK MEGA SYARIAH - ES - Feature #3252

MENU ADJUSTMENT SCORE MASSAL DI ESS
12/02/2024 06:19 PM - Regina Tasya

Status: QA Test Start date: 12/02/2024
Priority: Urgent Due date: 03/11/2025
Assignee: Kezia Pawitra Yulianti % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 10.00 hours
Description

DEAR,

ingin bantuannya untuk menu adjustment score , kurang lebih seperti Mass Approval BKT.
dimana user dapat mensubmite nilai yang telah diupdate secara massal

semua data akan di save ke phrpa0047.

untuk trigger data melalui report baru yaitu CRPKRPT = report rekap penilaian karyawan
jadi pada saat sudah di report rekap penilaian karyawan, maka pada kolom summary terdapat deviasi dimana deviasi tersebut
merupakan totalan yang harus diedit agar sesuai dengan %aktualnya.

sehingga untuk menu adjustment score digunakan sebagai update nilai secara massal dimana dilakukan pada kolom PUK
3. untuk detail ada pada exel, file name : desain adjustment score
pada menu adjustment score merupakan nilai final

sudah dibuatkan untuk filter : CDSCADJSC
SEMENU CADJSC

menu: my workplace - adjustment score
port: remote.minovais.com:31134
database : remote.minovais.com, 1442
BankMegaSyariahDev

History

#1 - 12/03/2024 09:45 AM - Kezia Pawitra Yulianti

- Tracker changed from Bug to Feature

- Subject changed from ADJUSTMENT SCORE PADA MENU ESS to MENU ADJUSTMENT SCORE MASSAL DI ESS
- Due date set to 12/13/2024

#2 - 12/03/2024 09:46 AM - Kezia Pawitra Yulianti
- Assignee changed from Moch Alinafia to M Azid Wahyudi

#3 - 01/16/2025 03:34 PM - M Azid Wahyudi

note pribadi :

di karenakan butuh research terkait layout yang mau di gunakan dan waktu sudah di tentukan 2 minggu dari sekarang yaitu tanggal 7 febuari 2025 ,
mulai sekarang di cicil untuk mulai

dengan referensi layout ada di demo https://demo.minovais.com/Account/Login

step

1. Ul dulu

2. Filter

3. testing keseluruhan

#4 - 01/24/2025 11:28 AM - Regina Tasya

- File desain adjustment score.xIsx added
#5 - 01/24/2025 11:33 AM - Regina Tasya

notes: untuk table index score PHRPMIDXSCOR. menambahkan kolom baru position type untuk membedakan business dan support, kemudian
untuk kolom type digunakan untuk Total, KPI, Qual
https://demo.minovais.com/Account/Login

#6 - 03/03/2025 01:07 PM - M Azid Wahyudi

package :

semenu
/Page/WorkFlowMassApproval

Ul view & controller

sdatatable (PDSWFMASSAPPROVAL,PDSPMSADJUSTGRID,PDSWFMASSAPPROVALRESULT)
sdatatablefield (PDSWFMASSAPPROVAL,PDSPMSADJUSTGRID,PDSWFMASSAPPROVALRESULT,PCMEPTASKID,PCMEPBIZPROC)
tablefisik(PCMEPTASKID,PCMEPBIZPROC)

dll(MinovalS.MinovaES.Implementation.massapproval)

custparam
(ID ='PDSPMSADJUSTGRID') OR
(ID = '"MassApprovalBizproc') OR
(ID = 'MassApprovalHeader') OR
(ID = 'MassApprovalBody') OR

(ID = '"MassApprovalFooter') OR
(ID = 'MassApprovalAction') OR
(ID = 'PDSPMSADJUSTUPDATE')

#7 - 03/04/2025 11:00 AM - Kezia Pawitra Yulianti
- Due date changed from 12/13/2024 to 03/11/2025

- Priority changed from Normal to Urgent

Dear Azid,

beirkut ya zid sesuai diskusi pagi ini.

- Yang bisa melakukan adjustment hanya task id ds2 dan ds3

- Org Level yang bisa melakukan adjustment Minimal L1 (hanya L1, LO1, LO)

- Adjust dilakukan pd field Adjusted Score (otomatis index adjusted score nya berubah)

- Jangan lupa cek dan sesuaikan pada index di position type business dan support yang berbeda

- dibuatkan ui on the fly untuk summary index kurva normal yang akan berubah otomatis jika klik button process adjust (posisi summary index ini di
atas grid result)

untuk poin terakhir, perlu dicek kembali parameter kurva normal apa sudah tersedia belum

Thanks

#8 - 03/06/2025 01:43 PM - Kezia Pawitra Yulianti

dear Azid,

sesuai diskusi yaa beirkut bbrp yg harus ditambahkan/koreksi:

- Filter Start date dan End date di hilangkan, diganti dengan filter Appraisal Period
- Filter Reg ID From/To juga di hilangkan saja

- Penambahan field pada grid Result 1: Position Type dan Index Score

- Field Employee Grade di hide

Sementara itu ya hasil diskusi td
Tks

#9 - 03/19/2025 01:55 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Kezia Pawitra Yulianti

package :

semenu
/Page/WorkFlowMassApproval

Ul view & controller

sdatatable (PDSWFMASSAPPROVAL,PDSPMSADJUSTGRID,PDSWFMASSAPPROVALRESULT)

sdatatablefield (PDSWFMASSAPPROVAL,PDSPMSADJUSTGRID,PDSWFMASSAPPROVALRESULT,PCMEPTASKID,PCMEPBIZPROC)
tablefisik(PCMEPTASKID,PCMEPBIZPROC)

dli(MinovalS.MinovaES.Implementation.massapproval)

custparam
(ID = 'PDSPMSADJUSTGRID') OR
(ID = '"MassApprovalBizproc') OR
(ID = 'MassApprovalHeader') OR
(ID = 'MassApprovalBody') OR

(ID = 'MassApprovalFooter') OR
(ID = 'MassApprovalAction') OR
(ID ='PDSPMSADJUSTUPDATE')

#10 - 03/19/2025 01:56 PM - M Azid Wahyudi

package
table PHRPMIDXSCOR data nya di rapihin done

Files

desain adjustment score.xlsx 11.6 KB

03/26/2025

01/24/2025

Regina Tasya
